summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author klorophatu2020-01-03 04:16:46 +0100
committer Robby Workman2020-01-03 06:33:51 +0100
commit47056bddc4fd2745c3ed4428acfdaacb554a390d (patch)
tree4968e2c18a910e90cd1493f721aaa78da6dde7da /system
parentdabc3af7bff14df3c54aabbf24171beffa31907f (diff)
downloadslackbuilds-47056bddc4fd2745c3ed4428acfdaacb554a390d.tar.gz
system/fantasque-sans-mono: Added (monospaced programming font)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/fantasque-sans-mono/README2
-rw-r--r--system/fantasque-sans-mono/doinst.sh10
-rw-r--r--system/fantasque-sans-mono/fantasque-sans-mono.SlackBuild72
-rw-r--r--system/fantasque-sans-mono/fantasque-sans-mono.info10
-rw-r--r--system/fantasque-sans-mono/slack-desc19
5 files changed, 113 insertions, 0 deletions
diff --git a/system/fantasque-sans-mono/README b/system/fantasque-sans-mono/README
new file mode 100644
index 0000000000..7cdf3f8e9f
--- /dev/null
+++ b/system/fantasque-sans-mono/README
@@ -0,0 +1,2 @@
+fantasque-sans-mono is a cool monospaced font with a handwriting style.
+This script packages both the TTF and OTF font files.
diff --git a/system/fantasque-sans-mono/doinst.sh b/system/fantasque-sans-mono/doinst.sh
new file mode 100644
index 0000000000..ff1dece33d
--- /dev/null
+++ b/system/fantasque-sans-mono/doinst.sh
@@ -0,0 +1,10 @@
+# Update the X font indexes:
+if [ -x /usr/bin/mkfontdir ]; then
+ ( cd /usr/share/fonts/OTF
+ mkfontscale .
+ mkfontdir .
+ )
+fi
+if [ -x /usr/bin/fc-cache ]; then
+ /usr/bin/fc-cache -f
+fi
diff --git a/system/fantasque-sans-mono/fantasque-sans-mono.SlackBuild b/system/fantasque-sans-mono/fantasque-sans-mono.SlackBuild
new file mode 100644
index 0000000000..594f73842e
--- /dev/null
+++ b/system/fantasque-sans-mono/fantasque-sans-mono.SlackBuild
@@ -0,0 +1,72 @@
+#!/bin/sh
+
+# Slackware build script for fantasque-sans-mono
+
+# Copyright 2019 klorophatu
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=fantasque-sans-mono
+VERSION=${VERSION:-1.8.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir $PRGNAM-$VERSION
+
+cd $PRGNAM-$VERSION
+unzip $CWD/FantasqueSansMono-Normal.zip
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/share/fonts/OTF
+cp -a OTF/*.otf $PKG/usr/share/fonts/OTF
+
+mkdir -p $PKG/usr/share/fonts/TTF
+cp -a TTF/*.ttf $PKG/usr/share/fonts/TTF
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a *.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/fantasque-sans-mono/fantasque-sans-mono.info b/system/fantasque-sans-mono/fantasque-sans-mono.info
new file mode 100644
index 0000000000..5bf1504dc1
--- /dev/null
+++ b/system/fantasque-sans-mono/fantasque-sans-mono.info
@@ -0,0 +1,10 @@
+PRGNAM="fantasque-sans-mono"
+VERSION="1.8.0"
+HOMEPAGE="https://github.com/belluzj/fantasque-sans/"
+DOWNLOAD="https://github.com/belluzj/fantasque-sans/releases/download/v1.8.0/FantasqueSansMono-Normal.zip"
+MD5SUM="99bd6bf2755c7f6b5f5c62daf6807aea"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="klorophatu"
+EMAIL="klorophatu@krutt.org"
diff --git a/system/fantasque-sans-mono/slack-desc b/system/fantasque-sans-mono/slack-desc
new file mode 100644
index 0000000000..509eccd125
--- /dev/null
+++ b/system/fantasque-sans-mono/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+fantasque-sans-mono: fantasque-sans-mono (Monospaced programming font)
+fantasque-sans-mono:
+fantasque-sans-mono: A programming font, designed with functionality in mind.
+fantasque-sans-mono:
+fantasque-sans-mono: The font has some wibbly-wobbly handwriting-like fuzziness that
+fantasque-sans-mono: makes it unassumingly cool. It is used for programming, as it is
+fantasque-sans-mono: a monospaced font.
+fantasque-sans-mono:
+fantasque-sans-mono: Homepage: https://github.com/belluzj/fantasque-sans/
+fantasque-sans-mono:
+fantasque-sans-mono: